/* iffgui.h --- Entry points of the kernel
   Copyright (C) 1997 GYVE development team 

   Author: Masatake YAMATO (masata-y@is.aist-nara.ac.jp)
   Created: 
   Time-stamp: <98/04/26 01:46:15 masata-y>
   
   This file is part of the GYVE vector based drawing editor. 

   This program conforms GNU GENERAL PUBLIC LICENSE Version 2. */

#ifndef IFFGUI_H
#define IFFGUI_H

#define IFFGUI_FILL 0
#define IFFGUI_STROKE 1

#if 0
Functions called from GYVE KERNEL
   0 <= r, g, b <= 1
   fill_or_stroke=> fill:0
                    stroke:1;

   void create_painting_pallet ();
   void painting_pallet_show();
   void painting_pallet_hide();
   bool painting_pallet_is_visible();
   void painting_pallet_set_process_color (float r, float g, float b, 
                                           int fill_or_stroke);

For process color:
   void painting_pallet_get_process_color (float *r, float *g, float *b
                                          int fill_or_stroke); 
   void painting_pallet_set_custom_color (float r, float g, float b, 
                                           int fill_or_stroke);
For custom color:    
   int painting_pallet_set_custom_color (char * name,
                                          int fill_or_stroke); 
   GyveKernel knows max length of name which should be allocated in
   the kernel side.
   int painting_pallet_get_custom_color (char * name,
                                          int fill_or_stroke); 
   int painting_pallet_add_custom_color (const char * name);
   int painting_pallet_delete_custom_color (const char * name);
                                          
                                          
#endif /* 0 */

/*
 * Process color releated functions
 */
#if 0
For testing
   void apply_process_color (float r, float g, float b, int fill_or_stroke)
   {
        fprintf(stderr, "selected(%s): r: %f g: %f b: %f\n",
	        fill_or_stroke?"stroke":"fill", r, g, b);
   } 
#endif /* 0 */
void apply_process_color (float r, float g, float b, int fill_or_stroke); 


/* 
 * Custom color releated functions 
 */
#if 0
For testing
    void apply_custom_color (char * name, int fill_or_stroke)
    {
      fprintf(stderr, "selected(%s): %s\n",
                      fill_or_stroke?"stroke":"fill", name);
	               
    }
#endif /* 0 */
void apply_custom_color (char * name, int fill_or_stroke); 

#if 0
For testing
    void query_custom_color (char * name, float *r, float *g, float *b)
    {
      *r = 0.0, *g = 0.0, *b=0.0;
	               
    }
#endif /* 0 */
void query_custom_color (char * name, float *r, float *g, float *b); 

void apply_pattern (char * name, int fill_or_stroke);
void draw_pattern(char * name);
void* pattern_viewobj_get_widget(void *);
void * pattern_viewobj_new(int width, int height);
void pattern_viewobj_show(void *);

void apply_gradation (char * name, int fill_or_stroke);
void draw_gradation(char * name, int bar_or_circle);
void* gradation_viewobj_get_widget(void * obj) ;
void * gradation_viewobj_new(int width, int height) ;
void gradation_viewobj_show(void * obj) ;

void apply_linewidth (float size, int fill_or_stroke);
void draw_line(float size);
void* line_viewobj_get_widget(void * obj) ;
void * line_viewobj_new(int width, int height) ;
void line_viewobj_show(void * obj) ;

#if 0
For close button 
   void notify_painting_pallet_unmapping()
   {
       fprintf(stderr, "clsoed \n");
   } 
#endif /* 0 */
void notify_painting_pallet_unmapping();

#if 0
call back for load filesel
#endif /* 0 */
int load_file_named(const char * name);	/* 1 => success, 0 => fail */
int save_file_named(const char * name);
int print_file_named(const char * name);
     
#endif /* IFFGUI_H */


