/* pallet.c --- painting pallet
   Copyright (C) 1998 Gyve Development team

   Author: Hideki FUJIMOTO(hideki70@osk2.3web.ne.jp) 
           Masatake YAMATO(masata-y@is.aist-nara.ac.jp)

   This file is part of the Gyve vector based drawing editor. 

   This program conforms GNU GENERAL PUBLIC LICENSE Version 2. */
#ifndef GYVE_GUI_PALLET_H
#define GYVE_GUI_PALLET_H

void create_painting_pallet ();
void painting_pallet_show();
void painting_pallet_hide();
int painting_pallet_is_visible(); /* 0 == NO or 1 == YES*/

void painting_pallet_set_process_color (float r, float g, float b, 
					int fill_or_stroke);

void painting_pallet_get_process_color (float *r, float *g, float *b,
					int fill_or_stroke); 

int painting_pallet_set_custom_color (char * name,
				      int fill_or_stroke); 
int painting_pallet_get_custom_color (char * name,
				      int fill_or_stroke); 
int painting_pallet_add_custom_color (const char * name);
int painting_pallet_delete_custom_color (const char * name);

int painting_pallet_set_pattern (char * name,
				      int fill_or_stroke); 
int painting_pallet_get_pattern (char * name,
				      int fill_or_stroke); 
int painting_pallet_add_pattern (const char * name);
int painting_pallet_delete_pattern (const char * name);

int painting_pallet_set_gradation (char * name,
				      int fill_or_stroke); 
int painting_pallet_get_gradation (char * name,
				      int fill_or_stroke); 
int painting_pallet_add_gradation (const char * name);
int painting_pallet_delete_gradation (const char * name);

#endif /* GYVE_GUI_PALLET_H */
